#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"残金は増えた、減った?(増えたなら1、減ったなら2入力)"
senntaku = gets.chomp.to_i

if senntaku == 2
 puts"今の残金を入力してね。(1000円なら1000と入力してね)"
 zannkinn = gets.chomp.to_i


 okane = 0
  while true
    puts"買った物の値段は何円?(終わりならvを入力)"
    nedan = gets.chomp

   if nedan == "v" || nedan =="V"
     break
   end
     
   okane += nedan.to_i
   printf("今の小計は%d円だよ。\n",okane)
  end

 printf("合計%d円です。\n",okane)
 zannkinn -= okane.to_i
 printf("残金は%d円です。\n",zannkinn)
end

if senntaku == 1 
puts "今の残金を入力してね。(1000円なら1000と入力)"
zanndaka = gets.chomp.to_i


oka = 0

while true
  puts "増えた額は何円?(終わる時はvと入力)"
  gaku = gets.chomp

if gaku == "v" || gaku == "V"
  break
end

 oka += gaku.chomp.to_i
 printf("今の小計は%d円です.\n",oka)
end

zanndaka += oka.to_i
printf("合計は%d円です。\n",zanndaka)
end
                                   
